Storyden
Assets

Asset Get

Download an asset by its filename.

GET
/assets/{asset_filename}

Download an asset by its filename.

Authorization

cookiestoryden-session<token>

Path Parameters

asset_filename*string

Asset ID.

Query Parameters

variant?string

Image preset. Missing variants are queued and return the best available image with revalidation. Other file types return their original bytes.

Value in"original""s""m""l""thumb_s""thumb_m""thumb_l"

Response Body

The new URL of an uploaded file.

response?file*/*
Formatbinary
Example Request
curl -X GET 'https://example.com/api/assets/string'
Example Response
"string"